<mat-card>
    <div fxLayout="row" fxLayoutAlign="space-between stretch">
      <div fxFlex="50">
        <mat-card fxFlex>
          <mat-card-title>Url</mat-card-title>
          <mat-card-content>
            <div fxlayout="column" fxLayoutAlign="space-between">
              <mat-form-field>
                <input matInput [(ngModel)]="urlLong.url" (keyup.enter)="submit()">
              </mat-form-field>
              <div fxLayout="row" fxLayoutAlign="end end">
                <button mat-button color="primary" (click)="submit()">Submit</button>
              </div>
            </div>
          </mat-card-content>
        </mat-card>
      </div>
      <div fxFlex="50" >
        <mat-card fxFlex class="card">
            <mat-card-title>Short URL</mat-card-title>
            <mat-card-content>
              <mat-list role="list">
                <mat-list-item role="listitem">Token: 
                  <span class="longText">{{ shortener.urlOriginal }}</span>
                </mat-list-item>
                <mat-list-item role="listitem">Token: {{ shortener.token }}
                  <button mat-icon-button *ngIf="shortener.token" (click)="redirect()">
                    <mat-icon>open_in_new</mat-icon>
                  </button>
                </mat-list-item>
                <mat-list-item role="listitem">
                  Count: {{ shortener.countView }}
                </mat-list-item>
              </mat-list>
            </mat-card-content>
          </mat-card>
      </div>
    </div>
  </mat-card>